package reversi;


/**
 * Diese Exception wird ausgelst, wenn versucht wird, auf eine ungltige
 * Spielfeldposition zuzugreifen. Gltige Werte fr Positionen auf dem Spielfeld
 * sind: 1 <= Zeile bzw. Spalte <= GameBoard.getSize().
 * 
 * @see reversi.GameBoard
 * @see reversi.TextGameBoard
 */
public class OutOfBoundsException extends Exception
{
    private static final long serialVersionUID = 1L;

    /** Enthlt die "illegale" Koordinate */
    public Coordinates coord; 

    public OutOfBoundsException(String msg, Coordinates c)
    {
        super(msg);
        coord = new Coordinates( c.getRow(), c.getCol() );
    }
    
    public OutOfBoundsException(String msg, int row, int col)
    {
        super(msg);
        coord = new Coordinates( row, col );
    }   
}
